Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSCallLogItem Class Reference

Represents information about a call log item. More...

`#import <CSCallLogItem.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithLocalUserName:
| CallLogItem constructor with parameters. More...
(instancetype) | - initWithRemoteNumber:localUserName:sessionSubject:startTime:endTime:durationInSeconds:sourceType:actionType:isConference:isIgnored:isCallerIdPrivate:callLogParticipants:callEvents:properties:
| CallLogItem constructor with parameters. More...

## Properties
NSString * | localUserName
| Local user's identity. More...
NSString * | lineAppearanceOwner
| Extension of the call owner for bridged line appearances cases. More...
NSArray * | remoteParticipants
| List of remote participants on the call. More...
NSArray * | conferenceRemoteParticipants
| List of remote participants on the conference call. More...
NSString * | subject
| Call subject for this call log item. More...
NSString * | remoteNumber
| Remote number to be used to redial this call. More...
NSDate * | startTime
| The call start time (UTC). More...
NSDate * | endTime
| The call end time (UTC). More...
NSTimeInterval | durationInSeconds
| Duration of the first leg of the call in seconds. More...
NSTimeInterval | totalDurationInSeconds
| Duration of established call on answer. More...
CSCallLogSourceType | callLogSourceType
| The media source type for this call log item (ie. More...
CSCallLogActionType | callLogActionType
| Action type that generated this call log item (ie. More...
BOOL | conference
| Indicates if the first leg of the call was a conference type. More...
BOOL | wasConference
| Indicates if the call was ever a conference in its life cycle. More...
BOOL | ignored
| Indicates if the call was ignored by the local user. More...
BOOL | callerIdPrivate
| Indicates if a remote party requested the call id to be private. More...
BOOL | remote
| Indicates if the call record is created for the remote call. More...
CSCallType | callType
| The call type of this call log item. More...
NSURL * | portalURL
| The URL of the Unified Portal Server (MeetMe call type only). More...
NSString * | conferenceId
| The Virtual Room id of the conference call. More...
NSString * | conferencePasscode
| The conference passcode used to join the conference call. More...
NSString * | virtualRoomName
| The name of the Virtual Room. More...
BOOL | presentationOnlyMode
| Indicates if the call was created in presentation only mode. More...
CSPrecedenceLevel | precedenceLevel
| The current precedence level of call. More...
CSPreemptionReason | preemptionReason
| The reason why this call was preempted. More...
CSCapability * | redialCapability
| Indicates if this call log item can be used to redial the remote number. More...
NSArray * | callEvents
| NSArray with CSCallLogItem objects. More...
NSDictionary * | properties
| Map of key/value pair for any additional generic properties for this call log item. More...
NSInteger | callCount
| The count indicates the total number of calls of similar action type (ie. More...
NSInteger | instanceId
| Indicates an Unique number assosiated with the call log record assigned by the server. More...
NSString * | tag
| The tag assosiated with the call log item. More...
NSString * | huntGroupName
| The hunt group name. More...
NSString * | huntGroupNumber
| The hunt group number. More...
NSString * | vectorDirectoryNumberName
| VDN name of the call. More...
BOOL | acdCall
| A boolean value indicating whether the call sent from Vector (Automatic Call Distribution) More...
CSSupervisorCallType | supervisorCallType
| CSSupervisorCallType object indicating whether the call is supervisor assistance call. More...
CSCallLogReadStatus | readStatus
| Indicates the read status of the call log. More...
NSString * | sendNNExtension
| SendNN extension of the call. More...
CSCallLogMissedCallReason | missedCallReason
| Indicates the missed call reason of the call log. More...

## Detailed Description

Represents information about a call log item.

Each call record is represented by a CallLogItem object that provides several attributes such as call start time, remote address, call duration, etc. In addition, each CallLogItem may be associated with a Contact object which may be used to provide picture caller ID or a customized name for the remote party of a call log item.

See also
  CSContact

## Method Documentation

- (instancetype) initWithLocalUserName: |  | (NSString *) | localUserName |

CallLogItem constructor with parameters.

Parameters

  localUserName | local user name.

- (instancetype) initWithRemoteNumber: |  | (NSString *) | remoteNumber
localUserName: |  | (NSString *) | localUserName
sessionSubject: |  | (NSString *) | sessionSubject
startTime: |  | (NSDate *) | startTime
endTime: |  | (NSDate *) | endTime
durationInSeconds: |  | (NSInteger) | durationInSeconds
sourceType: |  | (CSCallLogSourceType) | sourceType
actionType: |  | (CSCallLogActionType) | actionType
isConference: |  | (BOOL) | isConference
isIgnored: |  | (BOOL) | isIgnored
isCallerIdPrivate: |  | (BOOL) | isCallerIdPrivate
callLogParticipants: |  | (NSArray *) | callLogParticipants
callEvents: |  | (NSArray *) | callEvents
properties: |  | (NSDictionary *) | properties

CallLogItem constructor with parameters.

## Property Documentation

- (BOOL) acdCall
| read nonatomic assign

A boolean value indicating whether the call sent from Vector (Automatic Call Distribution)

- (NSInteger) callCount
| read nonatomic assign

The count indicates the total number of calls of similar action type (ie.

Missed, Outgoing or Incoming etc). For example, if there are 3 "Incoming" calls from the User A, then the call count will be 3

- (BOOL) callerIdPrivate
| read nonatomic assign

Indicates if a remote party requested the call id to be private.

This property does not provide a mechanism to enforce redial disablement. The property value only provides a guideline for the client behavior.

- (NSArray*) callEvents
| read nonatomic assign

NSArray with CSCallLogItem objects.

Collection of call events recorded for the call log. A CSCallLogItem (ie. instance of this class) provides a wholistic view of individual transactions that took place during the lifecycle of a call. After answering an incoming call or a dial out to a remote user, the call can get transferred (ie. remote address is changed in the same call dialog) or redirected/forwarded to a different number/user. These transactions will be captured in the callEvents list. Each event in callEvents list contains the full detail of a CSCallLogItem.

Note
  Note that the CSCallLogItem represents the details of the first leg of the call and entries in callEvents list represent subsequent call transactions. For example, if a call was made from user A to B, and then user B transferred user A to user C, then CSCallLogItem will represent the initial call leg between A and B, and the 1 callEvents item will represent the transferred call leg between A and C. These 2 call legs make up the one call experienced by user A.

- (CSCallLogActionType) callLogActionType
| read nonatomic assign

Action type that generated this call log item (ie.

Answered or Outgoing etc).

- (CSCallLogSourceType) callLogSourceType
| read nonatomic assign

The media source type for this call log item (ie.

Video, Voice or IM etc).

- (CSCallType) callType
| read nonatomic assign

The call type of this call log item.

- (BOOL) conference
| read nonatomic assign

Indicates if the first leg of the call was a conference type.

- (NSString*) conferenceId
| read nonatomic assign

The Virtual Room id of the conference call.

- (NSString*) conferencePasscode
| read nonatomic assign

The conference passcode used to join the conference call.

- (NSArray*) conferenceRemoteParticipants
| read nonatomic assign

List of remote participants on the conference call.

Contains objects of type CSCallLogRemoteParticipant. If this call log was, at any time during the call, a conference, this property represents those participants who were in that conference leg of the call. conferenceRemoteParticipants represents a subset of all remoteParticipants in all CSCallLogItem objects represented in callEvents as well as those in the top level CSCallLogItem.

See also
  CSCallLogRemoteParticipant

- (NSTimeInterval) durationInSeconds
| read nonatomic assign

Duration of the first leg of the call in seconds.

- (NSDate*) endTime
| read nonatomic assign

The call end time (UTC).

- (NSString*) huntGroupName
| read nonatomic assign

The hunt group name.

- (NSString*) huntGroupNumber
| read nonatomic assign

The hunt group number.

- (BOOL) ignored
| read nonatomic assign

Indicates if the call was ignored by the local user.

- (NSInteger) instanceId
| read nonatomic assign

Indicates an Unique number assosiated with the call log record assigned by the server.

For the local call logs, default value will be 0

- (NSString*) lineAppearanceOwner
| read nonatomic assign

Extension of the call owner for bridged line appearances cases.

- (NSString*) localUserName
| read nonatomic assign

Local user's identity.

- (CSCallLogMissedCallReason) missedCallReason
| read nonatomic assign

Indicates the missed call reason of the call log.

- (NSURL*) portalURL
| read nonatomic assign

The URL of the Unified Portal Server (MeetMe call type only).

- (CSPrecedenceLevel) precedenceLevel
| read nonatomic assign

The current precedence level of call.

See also
  CSPrecedenceLevel

- (CSPreemptionReason) preemptionReason
| read nonatomic assign

The reason why this call was preempted.

See also
  CSPreemptionReason

- (BOOL) presentationOnlyMode
| read nonatomic assign

Indicates if the call was created in presentation only mode.

- (NSDictionary*) properties
| read nonatomic assign

Map of key/value pair for any additional generic properties for this call log item.

Note
  This is a place holder for future generic name/value pair properties.

- (CSCallLogReadStatus) readStatus
| read nonatomic assign

Indicates the read status of the call log.

Call logs can be marked as read by invoking the method

See also
  markAllCallLogsAsReadWithCompletionHandler

- (CSCapability*) redialCapability
| read nonatomic assign

Indicates if this call log item can be used to redial the remote number.

Currently, this capability has a 1:1 mapping to callerIdPrivate. The capability value of Allowed == YES does not imply that the remote number reported in this CSCallLogItem will always result in the call being completed. The return value for this method only indicates whether or not an attempt can be made to redial this log entry. Ultimately, whether or not redial attempts will be successful depends on the ability for the voice network to route the call successfully. This can only be determined by an actual attempt to place the call.

- (BOOL) remote
| read nonatomic assign

Indicates if the call record is created for the remote call.

- (NSString*) remoteNumber
| read nonatomic assign

Remote number to be used to redial this call.

It represents the address (phone number) to the far end in the call. This value does not imply the call will be completed in all cases.

- (NSArray*) remoteParticipants
| read nonatomic assign

List of remote participants on the call.

Contains objects of type CSCallLogParticipant. This list represents those addresses/endpoints/users participated in this leg of the call and does not represent the union of all users who participated in this call. The local user may have conversed with those remoteParticipants listed in callEvents records.

See also
  CSCallLogParticipant

- (NSString*) sendNNExtension
| read nonatomic assign

SendNN extension of the call.

Empty if call is not connected or if there is no Send NN extension for the call.

See also
  CSCallFeatureService::sendNNCapability
  - setSendNNEnabled:forExtension:completionHandler: (CSCallFeatureService)
  - invokeSendNNCallWithExtension:toRemoteAddress:completionHandler: (CSCallFeatureService)
  CSCallFeatureService::didChangeSendNNStatus:forExtension:

- (NSDate*) startTime
| read nonatomic assign

The call start time (UTC).

- (NSString*) subject
| read nonatomic assign

Call subject for this call log item.

Call subject can be set by the client to get the context of the call. For example the client can set a call subject for the call from the IM window and the CallLogItem will reflect that. Call subject can also be obtained from a conference.

- (CSSupervisorCallType) supervisorCallType
| read nonatomic assign

CSSupervisorCallType object indicating whether the call is supervisor assistance call.

- (NSString*) tag
| read nonatomic assign

The tag assosiated with the call log item.

- (NSTimeInterval) totalDurationInSeconds
| read nonatomic assign

Duration of established call on answer.

If the call is not answered then Total duration shows full call duration from the first ring.

- (NSString*) vectorDirectoryNumberName
| read nonatomic assign

VDN name of the call.

Empty if VDN is not provided by far end.

- (NSString*) virtualRoomName
| read nonatomic assign

The name of the Virtual Room.

- (BOOL) wasConference
| read nonatomic assign

Indicates if the call was ever a conference in its life cycle.

The documentation for this class was generated from the following file:

- CSCallLogItem.h